%define __libtoolize	/bin/true
%define __cputoolize	/bin/true
%define name		mozilla-firefox
%define version		0.8
%define release		14mdk

%define build_name	mozilla
%define	moz_name	mozilla-1.6
%define exec_name	mozilla-firefox
%define up_ca_name	firefox
%define lib_name	%exec_name-%version
%define mozillalibdir   %_libdir/%lib_name

%define section Internet/Web browsers
%define title   Mozilla Firefox

%define summary The Mozilla Firefox project is a redesign of Mozilla's browser

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
Epoch:		0
License:        MPL/GPL/LGPL
Group:          Networking/WWW
URL:            http://www.mozilla.org/projects/firefox
Source0:        ftp://ftp.mozilla.org/pub/firefox/%version/%up_ca_name-source-%version.tar.bz2
Source1:	mozilla-firefox-run.sh.bz2
Patch0:		mozilla-browser-home-page.patch.bz2
Patch1:		mozilla-firebird-0.6.1-plugindirs.patch.bz2
Patch2:		mozilla-firefox-logname.patch.bz2
BuildRoot:      %_tmppath/%name-buildroot
Requires:	gtk+2 >= 0:2.2.0 freetype2
Requires:	indexhtml
BuildRequires:	libpng-devel
BuildRequires:  libmng-devel
BuildRequires:	gtk+2-devel >= 0:2.2.0
BuildRequires:  zip
BuildRequires:  libIDL2-devel
BuildRequires:  ImageMagick
Provides:	mozilla-firebird
Obsoletes:	mozilla-firebird
Provides:	webclient
%define _provides_exceptions libnspr4.so\\|libplc4.so\\|libplds4.so\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz.so\\|libxpcom.so
%define _requires_exceptions libnspr4.so\\|libplc4.so\\|libplds4.so\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz.so\\|libxpcom.so

%description
The Mozilla Firefox project is a redesign of Mozilla's browser component,
written using the XUL user interface language and designed to be
cross-platform.

Clarification: "Mozilla Firefox" is just a project name, in the same
way as the Mozilla Application Suite is codenamed "SeaMonkey". For
more details, read about the Mozilla Branding Strategy and the
Mozilla Roadmap.

If you're interested in where we're going and when we expect to get
there then you probably want the Mozilla Firefox Roadmap.

We track bugs using Bugzilla. Because the project is small and tightly
managed, bugs targeted to a particular milestone generally will be fixed
by that milestone. In fact, our milestone releases are bug-driven, not
date-driven. Before filing any bugs on Mozilla Firefox, please read the
bug filing instructions.

%package devel
Requires:	%{name} = %{epoch}:%{version}-%{release}
Summary:        MozillaFirefox development files
Group:          Development/Other
Conflicts:	mozilla-devel
Conflicts:	libnss3-devel
Conflicts:	libnspr4-devel
Conflicts:	libjs1-devel
Provides:	mozilla-firebird-devel
Obsoletes:	mozilla-firebird-devel

%description devel
MozillaFirefox development files.

%prep
%setup -q -n %{build_name} 

%patch0 -p1 -b .browser-home-page
%patch1 -p1 -b .plugindirs
%patch2 -p1 -b .logname
# gw the configure script doesn't substitude LIBDIR
%__perl -pi -e "s!LIBDIR!%_libdir!" browser/app/mozilla.in 
# gw fix all directories
%__perl -pi -e "s|mozilla-\\$\(MOZILLA_VERSION\)|%lib_name|" config/autoconf.mk.in

%build
export MOZ_BUILD_DATE="$(date -u +%Y%m%d%H)"
export MOZ_PHOENIX=1
%configure \
	--disable-pedantic \
	--disable-debug	--disable-ldap --disable-tests --disable-debug-modules \
	--disable-mailnews --disable-composer --enable-plaintext-editor-only \
	--disable-toolkit-qt --disable-toolkit-xlib --disable-gtk \
	--enable-strip --enable-extensions --enable-freetype2 \
	--enable-xft --enable-mathml --enable-crypto --enable-xinerama \
	--with-system-jpeg --with-system-png --with-system-mng --with-system-zlib \
	--enable-toolkit-gtk2 --enable-default-toolkit=gtk2 \
	--enable-extensions=default,-inspector,-irc,-venkman,-content-packs,-help \
	--with-default-mozilla-five-home=%{_libdir}/%{lib_name}
# let jars get compressed
%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl
%make

%install
%__rm -rf %buildroot
%makeinstall_std

# Menu
%__mkdir_p %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} << EOF
?package(%{name}): \
command="soundwrapper %_bindir/mozffremote" \
needs="X11" \
icon="%{name}.png" \
section="%section" \
title="%title" \
longtitle="The Mozilla Firefox project is a redesign of Mozilla's browser"
EOF

# icons
%__mkdir_p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
convert browser/app/default.xpm %buildroot/%_liconsdir/%{name}.png
convert -scale 32x32 browser/app/default.xpm %buildroot/%_iconsdir/%{name}.png
convert -scale 16x16 browser/app/default.xpm %buildroot/%_miconsdir/%{name}.png

# move Firefox stuff
%__mv %buildroot%_bindir/%up_ca_name %buildroot%_bindir/%exec_name
#gw fix the mozilla home directory
%__perl -pi -e "s/%moz_name/%name-%version/" %buildroot%_bindir/%exec_name

# rename mozilla-config
%__mv %buildroot%_bindir/mozilla-config %buildroot%_bindir/%exec_name-config

# rename pkg-config files
pushd %buildroot%_libdir/pkgconfig
for i in *.pc; do
  %__perl -p -i -e 's|mozilla-nspr|%{name}-nspr|' $i
  %__perl -p -i -e 's|mozilla-xpcom|%{name}-xpcom|' $i
  %__mv $i `echo $i | sed 's|^mozilla|%{name}|'`
done
popd

bzcat %SOURCE1 > %buildroot%_bindir/mozffremote
chmod 755 %buildroot%_bindir/mozffremote

# install our rebuild file
%__perl -p -i -e 's|LIBDIR/mozilla-MOZILLA_VERSION|%{mozillalibdir}|g' \
build/package/rpm/SOURCES/mozilla-rebuild-databases.pl.in

%__install -m 755 build/package/rpm/SOURCES/mozilla-rebuild-databases.pl.in \
$RPM_BUILD_ROOT%{mozillalibdir}/mozilla-rebuild-databases.pl

%post
%update_menus
%{mozillalibdir}/mozilla-rebuild-databases.pl
update-alternatives --install %{_bindir}/webclient-gnome webclient-gnome %{_bindir}/mozffremote 11
update-alternatives --install %{_bindir}/webclient-kde webclient-kde %{_bindir}/mozffremote 11

%postun
%clean_menus
if [ "$1" = "0" ]; then
    update-alternatives --remove webclient-gnome %{_bindir}/mozffremote
    update-alternatives --remove webclient-kde %{_bindir}/mozffremote
fi

%post devel
update-alternatives --install %{_bindir}/mozilla-config	mozilla-config		%{_bindir}/%{exec_name}-config			20	\
--slave %_libdir/pkgconfig/mozilla-gtkmozembed.pc	mozilla-gtkmozembed.pc	%_libdir/pkgconfig/%{name}-gtkmozembed.pc		\
--slave %_libdir/pkgconfig/mozilla-js.pc		mozilla-js.pc		%_libdir/pkgconfig/%{name}-js.pc			\
--slave %_libdir/pkgconfig/mozilla-nspr.pc		mozilla-nspr.pc		%_libdir/pkgconfig/%{name}-nspr.pc			\
--slave %_libdir/pkgconfig/mozilla-nss.pc		mozilla-nss.pc		%_libdir/pkgconfig/%{name}-nss.pc			\
--slave %_libdir/pkgconfig/mozilla-plugin.pc		mozilla-plugin.pc	%_libdir/pkgconfig/%{name}-plugin.pc			\
--slave %_libdir/pkgconfig/mozilla-xpcom.pc		mozilla-xpcom.pc	%_libdir/pkgconfig/%{name}-xpcom.pc

%postun devel
if [ "$1" = "0" ]; then
    update-alternatives --remove mozilla-config %_bindir/%exec_name-config
fi

%clean
%__rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README.txt LEGAL LICENSE
%_bindir/mozffremote
%_bindir/%exec_name
%dir %mozillalibdir
%mozillalibdir/*
%defattr(0644,root,root,0755)
%_menudir/*
%_miconsdir/*
%_iconsdir/*
%_liconsdir/*

%files devel
%defattr (-,root,root)
%{_bindir}/%exec_name-config
%dir %_includedir/%{lib_name}
%_includedir/%{lib_name}/*
%_datadir/aclocal/*
%dir %_datadir/idl/%{lib_name}
%_datadir/idl/%{lib_name}/*
%_libdir/pkgconfig/*

%changelog
* Mon Mar 01 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-14mdk
- move alternatives scripts to devel package %%post/%%postun
- install mozilla-rebuild-databases.pl

* Tue Feb 24 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-13mdk
- don't own mozilla-config

* Tue Feb 24 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-12mdk
- more exact regex to match mozilla-<version>
- use macros where possible
- own %%_includedir/%{lib_name} directory
- alternativize mozilla-config and pkgconfig files
- export MOZ_BUILD_DATE
- use %%configure

* Mon Feb 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-11mdk
- fix webclient-kde alternative
- don't set the mozilla version to the firefox version
- use the makeinstall_std macro
- simplify the build

* Sun Feb 22 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-10mdk
- symlink %%exec_name-config to mozilla-config
- fix paths in mozilla-config

* Fri Feb 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-9mdk
- fix patch 2 (--short-circuit is evil)

* Fri Feb 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-8mdk
- fix conflict with other mozillas (Dank an Frederik Himpe)

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-7mdk
- compress the jar files
- revert to the free icons

* Sat Feb 14 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-6mdk
- add epochs
- update menu section for 10.0
- merge icons provided by Mark Baas <m.baas@zarb.org>

* Fri Feb 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-5mdk
- revert icon change

* Fri Feb 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-4mdk
- replace the icon

* Thu Feb 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-3mdk
- update the mozffremote script to open a new window if started without an URL
- use the mozffremote script in the menu

* Tue Feb 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- register firefox as gnome webclient
- add mozffremote script from kk1

* Mon Feb  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- use Imagemagick for the icons
- renamed from mozilla-firebird
- new version

* Wed Oct 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- new version

* Fri Sep  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-6mdk
- patch1: set the plugin dir to %_libdir/mozilla/plugins and ~/.mozilla/plugins

* Wed Sep  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-5mdk
- arrgh, fix the spec file 

* Wed Sep  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-4mdk
- don't provide libnspr and libnss

* Mon Sep 1 2003 Tibor Pittich <Tibor Pittich@phuture.sk> 0.6.1-3mdk
- requires indexhtml

* Mon Sep 1 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6.1-2mdk
- merged patch from mozilla to set default home page as other browsers
  included in mandrake distro (#5029)

* Wed Jul 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- moz_name is 1.5a
- source url
- new version

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.7mdk
- fix typo in the devel conflicts

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.6mdk
- disable pedantic flag to fix build

* Thu Jul 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.5mdk
- add some more conflicts
- fix dir ownership

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.4mdk
- remove redundant buildrequires
- the devel package conflicts with mozilla-devel (pkgconfig files)
- don't own %_libdir/pkgconfig
- move pkgconfig files to the devel package 

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.3mdk
- fix buildrequires

* Mon May 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6-0.2mdk
- change package name - all characters now are lowercase
- mixed numeric and and alphanumeric characters in release name isn't good
  idea (Guillaume Rousse)
- import icons from Han's rpm - http://iconpacks.mozdev.org/phoenix/
  credit to J.A. Magallon
- build with separated lib home - this can allow coexist together with mozilla
- disable ldap stuff
- improved description

* Sat May 24 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6-0.UNTESTED.1mdk
- WOW! now we have MozillaFirebird package in Cooker :-)
- based on mozilla.spec
- this is pre-alfa testing rpm build!! - new versions of rpm package will be
  released soon.. Please test it and report problems..
- libnspr and libnss is packaged with MozillaFirebird package due to mozilla's
  libraries, now only devel package is separated

